package com.bocloud.cmp.model.hmc.sdk.common;

import com.bocloud.cmp.model.hmc.sdk.module.Author;
import com.bocloud.cmp.model.hmc.sdk.module.Link;

import java.util.List;

public class EntryBase {
    private String xmlns;
    protected String id;
    protected String title;
    protected String published;
    protected List<Link> link;
    protected Author author;

    public EntryBase() {
    }

    public String getXmlns() {
        return xmlns;
    }

    public void setXmlns(String xmlns) {
        this.xmlns = xmlns;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getPublished() {
        return published;
    }

    public void setPublished(String published) {
        this.published = published;
    }

    public List<Link> getLink() {
        return link;
    }

    public void setLink(List<Link> link) {
        this.link = link;
    }

    public Author getAuthor() {
        return author;
    }

    public void setAuthor(Author author) {
        this.author = author;
    }
}
